Name:      libmkv
Version:   0.6.5.1
Release:   1%{?dist}
Summary:   An alternative to the official libmatroska library

Group:     System Environment/Libraries
License:   GPLv2+
URL:       https://github.com/saintdev/libmkv
# https://github.com/saintdev/libmkv/tarball/0.6.5.1
Source0:   %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: autoconf, automake, libtool

%description
This library is meant to be an alternative to the official libmatroska library.
It is writen in plain C, and is intended to be very portable.

%prep
%setup -q -n saintdev-libmkv-d2906c0


%build
# bug in autotools requires missing m4 directory
mkdir m4
autoreconf --verbose --force --install
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libmkv.so.*
%doc AUTHORS COPYING README

%package devel
Summary:   An alternative to the official libmatroska library - devel files
Group:     Development/Libraries
Requires:  %{name} = %{version}-%{release}

%description devel
This library is meant to be an alternative to the official libmatroska library.
It is writen in plain C, and is intended to be very portable.  These are the
development files.

%files devel
%defattr(-,root,root,-)
%{_includedir}/libmkv.h
%{_libdir}/libmkv.so
%exclude %{_libdir}/libmkv.la

%changelog
* Sun Jan 22 2012 Bernard Johnson <bjohnson@symetrix.com> - 0.6.5.1-1
- v 0.6.5.1
   + Fix offset calculation for track private data

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 21 2011 Bernard Johnson <bjohnson@symetrix.com> - 0.6.4.1-1
- v 0.6.4.1

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 04 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.6.4-1
- v 0.6.4

* Thu Apr 02 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.6.3.1-2
- remove slashes in %%files list
- configure with --disable-static

* Mon Mar 30 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.6.3.1-1
- initial release
